import request from '@/utils/request';

const path = {
  railWaylist: 'api/railWay/selectPage',
  railWaydetail: 'api/railWay/detail',
  railWaysave: 'api/railWay/save',
  railWaybatchDelete: 'api/railWay/batchDelete',
  railWayselectList: 'api/railWay/selectList',
  updateRailWay: 'api/railWay/updateRailWay',

  sitelist: 'api/site/selectPage',
  sitedetail: 'api/site/detail',
  sitesave: 'api/site/save',
  sitebatchDelete: 'api/site/batchDelete',
  siteselectList: 'api/site/selectList',
  selectForSite: 'api/site/selectForSite',//铁路查站点
  updateSiteConf: 'api/site/updateSiteConf',

  fsuList: 'api/fsu/selectPage',
  fsudetail: 'api/fsu/detail',
  fsusave: 'api/fsu/save',
  fsubatchDelete: 'api/fsu/batchDeleteFsu',
  fsuselectList: 'api/fsu/selectList',
  selectForFsu: 'api/fsu/selectForFsu',
  updateFsuConf: 'api/fsu/updateFsuConf',

  selectFsuItem: 'api/dict/selectFsuItem',//fsu数据字典

  monitorEquipList: 'api/monitorEquip/selectPage',
  monitorEquipdetail: 'api/monitorEquip/detail',
  monitorEquipsave: 'api/monitorEquip/save',
  monitorEquipbatchDelete: 'api/monitorEquip/batchDeleteEquip',
  monitorEquipselectList: 'api/monitorEquip/selectList',
  selectForEquip: 'api/monitorEquip/selectForEquip',
  selectMonitorItem: 'api/dict/selectMonitorItem',//监测设备字典
  updateMonitorEquipConf: 'api/monitorEquip/updateMonitorEquipConf',

  leakyCableList: 'api/leakyCable/selectPage',
  leakyCabledetail: 'api/leakyCable/detail',
  leakyCablesave: 'api/leakyCable/save',
  leakyCablebatchDelete: 'api/leakyCable/batchDeleteEquip',
  leakyCableselectList: 'api/leakyCable/selectList',
  selectForCable: 'api/leakyCable/selectForCable',
  updateLeakyCableConf: 'api/leakyCable/updateLeakyCableConf',

  antennaFeederSave: 'api/antennaFeeder/save',
  antennaFeederDelete: 'api/antennaFeeder/batchDeleteEquip',
  antennaFeederDetail: 'api/antennaFeeder/detail',
  antennaFeederList: 'api/antennaFeeder/selectFeederPage',
  updateFeederConf: 'api/antennaFeeder/updateFeederConf',

  autoList: '/device/autoAdd/selectPage',
  waveStatistics: '/device/sampling/waveStatistics',
  distanceStatistics: '/device/sampling/distanceStatistics',
  samplingList: '/device/sampling/selectPage',
  sysRailwayBureaus: '/api/sysRailwayBureaus/selectAll'


}
// 铁路线
export function railWaylist() {
  return request.post(path.railWaylist, ...arguments);
}
export function railWaydetail() {
  return request.post(path.railWaydetail, ...arguments);
}
export function railWaysave() {
  return request.post(path.railWaysave, ...arguments);
}
export function railWaybatchDelete() {
  return request.post(path.railWaybatchDelete, ...arguments);
}
export function railWayselectList() {
  return request.post(path.railWayselectList, ...arguments);
}
export function updateRailWay() {
  return request.post(path.updateRailWay, ...arguments);
}

//站点

export function sysRailwayBureaus() {
  return request.post(path.sysRailwayBureaus, ...arguments);
}
export function selectForSite() {
  return request.post(path.selectForSite, ...arguments);
}
export function sitelist() {
  return request.post(path.sitelist, ...arguments);
}
export function sitedetail() {
  return request.post(path.sitedetail, ...arguments);
}
export function sitesave() {
  return request.post(path.sitesave, ...arguments);
}
export function sitebatchDelete() {
  return request.post(path.sitebatchDelete, ...arguments);
}
export function siteselectList() {
  return request.post(path.siteselectList, ...arguments);
}
export function updateSiteConf() {
  return request.post(path.updateSiteConf, ...arguments);
}


//fsu
export function selectForFsu() {
  return request.post(path.selectForFsu, ...arguments);
}
export function selectFsuItem() {//fsu字典
  return request.post(path.selectFsuItem, ...arguments);
}
export function fsulist() {
  return request.post(path.fsuList, ...arguments);
}
export function fsudetail() {
  return request.post(path.fsudetail, ...arguments);
}
export function fsusave() {
  return request.post(path.fsusave, ...arguments);
}
export function fsubatchDelete() {
  return request.post(path.fsubatchDelete, ...arguments);
}
export function fsuselectList() {
  return request.post(path.fsuselectList, ...arguments);
}
export function updateFsuConf() {
  return request.post(path.updateFsuConf, ...arguments);
}


//监测
export function selectMonitorItem() {
  return request.post(path.selectMonitorItem, ...arguments);
}
export function monitorEquiplist() {
  return request.post(path.monitorEquipList, ...arguments);
}
export function monitorEquipdetail() {
  return request.post(path.monitorEquipdetail, ...arguments);
}
export function monitorEquipsave() {
  return request.post(path.monitorEquipsave, ...arguments);
}
export function monitorEquipbatchDelete() {
  return request.post(path.monitorEquipbatchDelete, ...arguments);
}
export function monitorEquipselectList() {
  return request.post(path.monitorEquipselectList, ...arguments);
}
export function selectForEquip() {
  return request.post(path.selectForEquip, ...arguments);
}
export function updateMonitorEquipConf() {
  return request.post(path.updateMonitorEquipConf, ...arguments);
}


//漏缆
export function leakyCablelist() {
  return request.post(path.leakyCableList, ...arguments);
}
export function leakyCabledetail() {
  return request.post(path.leakyCabledetail, ...arguments);
}
export function leakyCablesave() {
  return request.post(path.leakyCablesave, ...arguments);
}
export function leakyCablebatchDelete() {
  return request.post(path.leakyCablebatchDelete, ...arguments);
}
export function leakyCableselectList() {
  return request.post(path.leakyCableselectList, ...arguments);
}
export function selectForCable() {
  return request.post(path.selectForCable, ...arguments);
}
export function updateLeakyCableConf() {
  return request.post(path.updateLeakyCableConf, ...arguments);
}

// 天馈线
export function antennaFeederSave() {
  return request.post(path.antennaFeederSave, ...arguments);
}
export function antennaFeederDelete() {
  return request.post(path.antennaFeederDelete, ...arguments);
}
export function antennaFeederDetail() {
  return request.post(path.antennaFeederDetail, ...arguments);
}
export function antennaFeederList() {
  return request.post(path.antennaFeederList, ...arguments);
}
export function updateFeederConf() {
  return request.post(path.updateFeederConf, ...arguments);
}

// 自动添加配置
export function autoList() {
  return request.post(path.autoList, ...arguments);
}
// 漏缆链路及天馈接口驻波比数据趋势分析
export function waveStatistics(params) {
  return request({
    url: path.waveStatistics,
    method: 'post',
    params
  })
}
export function distanceStatistics(params) {
  return request({
    url: path.distanceStatistics,
    method: 'post',
    params
  })
}

// 漏缆链路及天馈接口驻波比数据趋势分析 列表
export function samplingList(params) {
  return request({
    url: path.samplingList,
    method: 'post',
    params
  })
}